org.apache.cassandra.streaming

## Class StreamingRepairTask

- java.lang.Object
- - org.apache.cassandra.streaming.StreamingRepairTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class StreamingRepairTask
      extends java.lang.Object
      implements java.lang.Runnable

  Task that make two nodes exchange (stream) some ranges (for a given table/cf). This handle the case where the local node is neither of the two nodes that must stream their range, and allow to register a callback to be called on completion.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamingRepairTask.StreamingRepairRequest`
    `static class` | `StreamingRepairTask.StreamingRepairResponse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `dst`
    `java.util.UUID` | `id`
    `static org.apache.cassandra.streaming.StreamingRepairTask.StreamingRepairTaskSerializer` | `serializer`
    `java.net.InetAddress` | `src`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamingRepairTask` | `create(java.net.InetAddress ep1, java.net.InetAddress ep2, java.lang.String tableName, java.lang.String cfName, java.util.Collection<Range<Token>> ranges, java.lang.Runnable callback)`
    `boolean` | `isLocalTask()` Returns true if the task if the task can be executed locally, false if it has to be forwarded.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.streaming.StreamingRepairTask.StreamingRepairTaskSerializer serializer

    - #### id

          public final java.util.UUID id

    - #### src

          public final java.net.InetAddress src

    - #### dst

          public final java.net.InetAddress dst

  - ### Method Detail

    - #### create

          public static StreamingRepairTask create(java.net.InetAddress ep1,
                                   java.net.InetAddress ep2,
                                   java.lang.String tableName,
                                   java.lang.String cfName,
                                   java.util.Collection<Range<Token>> ranges,
                                   java.lang.Runnable callback)

    - #### isLocalTask

          public boolean isLocalTask()

      Returns true if the task if the task can be executed locally, false if it has to be forwarded.

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

Copyright © 2014 The Apache Software Foundation